Class List Method List File List

# Module: ActionView::Helpers::CaptureHelper

Defined in:
  lib/haml/helpers/action_view_xss_mods.rb

## Instance Method Summary (collapse)

- - with_output_buffer_with_haml_xss(*args, &block) (also: #with_output_buffer)

## Instance Method Details

### - with_output_buffer_with_haml_xss(*args, &block) Also known as: with_output_buffer

    4
    5
    6
    7
    8
    9
    10
    11

    # File 'lib/haml/helpers/action_view_xss_mods.rb', line 4

    def with_output_buffer_with_haml_xss(*args, &block)
      res = with_output_buffer_without_haml_xss(*args, &block)
      case res
      when Array; res.map {|s| Haml::Util.html_safe(s)}
      when String; Haml::Util.html_safe(res)
      else; res
      end
    end